cURL
curl -X GET "https://app.cotool.ai/api/skills/:skillId/versions/:versionId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdByUserId": "<string>",
"createdAt": "<string>",
"instructionPrompt": "<string>",
"requiredTools": [
"<string>"
],
"references": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"directory": "references",
"sizeBytes": 1,
"content": "<string>",
"createdAt": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Skills
Get skill version
Get one specific skill version with references.
GET
/
api
/
skills
/
{skillId}
/
versions
/
{versionId}
cURL
curl -X GET "https://app.cotool.ai/api/skills/:skillId/versions/:versionId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/skills/{skillId}/versions/{versionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdByUserId": "<string>",
"createdAt": "<string>",
"instructionPrompt": "<string>",
"requiredTools": [
"<string>"
],
"references": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skillVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"directory": "references",
"sizeBytes": 1,
"content": "<string>",
"createdAt": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Unique identifier for the skill
Unique identifier for the skill version
Response
Successful response
Unique identifier for the skill version
Parent skill ID
Monotonic version number for the skill
User who created this version, if available
Timestamp when this version was created
Instruction content for this specific version
Required tools snapshot for this specific version
References attached to this specific version
Show child attributes
Show child attributes
Was this page helpful?
⌘I